const deleteFile = require('../helpers/deleteFile');
const jsonParser = require('../helpers/jsonParser');
const { calculateBalance } = require('./booking-helper');
const createNotification = require('./create-notification');
const {
  calculateNights,
  setEndOfDay,
  getDateRangeForFilter,
  setStartOfDay,
} = require('./date-helper');
const { generateDeviceId } = require('./device-id-helper');
const { buildFilter } = require('./filters');
const getLatestMessage = require('./get-latest-message');
const { parseJsonSafe } = require('./jsonResponseParser');
const { updateOrCreateToken } = require('./token-helper');
const validatePax = require('./validate-pax');

module.exports = {
  deleteFile,
  jsonParser,
  calculateNights,
  calculateBalance,
  validatePax,
  parseJsonSafe,
  buildFilter,
  createNotification,
  setStartOfDay,
  setEndOfDay,
  getDateRangeForFilter,
  generateDeviceId,
  updateOrCreateToken,
  getLatestMessage,
};
